"""
Copyright 2019 NoRD Software Foundation

This file is part of NoRD.

NoRD is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

NoRD is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with NoRD.  If not, see <https://www.gnu.org/licenses/>.

--

"""

MOVERATE = 2.82
MOVEINCR = 0.7  # for the accel/decel (vs key polling fbyf_* approach)
ROTRATE = 0.56
ROTVRATE = 0.76
ROTHRATE = 0.96
ROTINCR = 0.05  # for the accel/decel (vs key polling fbyf_* approach)
PLACEDIST = 50.0
DRAGTHRESHOLD = 0.05
DEFAULTSPACECONF = 'config/space.conf'
DEFAULTEVENTMAP = 'config/eventmap.conf'
DEFAULTMODELMAP = "config/modelmap.conf"
DEFAULTVISMAP = "config/vismap.conf"
DEFAULTVISPRECEDENCEMAP = "config/visprecedence.conf"
DEFAULTMODELDIR = "models"
FALLBACKMODEL = "nord/sigurd/models/unknown.egg"
DEFAULTTEXTHSPACING = 0.02
DEFAULTTEXTVSPACING = 0.02
DEFAULTTEXTSPACEWIDTH = 0.175
DEFAULTTEXTHEIGHT = 1.0
DEFAULTOUTFILENAME = "out.n"
DEFAULTCODEPATH = ['dir://lib/python3.7/site-packages']
DEFAULTPATHPATH = []
DEFAULTFPS = 120.0
DEFAULTTIPSHADOWPOS = 0.05, 0.05
DEFAULTTIPSHADOWCOL = 0.7, 0.8, 1.0, 1.0
DEFAULTTIPBGCOL = 0.1, 0.2, 0.7, 0.2
DEFAULTTIPFGCOL = 0.02, 0.02, 0.1, 1.0
DEFAULTTIPMARGIN = 0.2, 0.2, 0.2, 0.2
# DEFAULTTIPSCALE = 0.025
DEFAULTTIPSCALE = 0.1
DEBUGCAMDISTANCE = 75.0
DEFAULTDIMALPHA = 0.1
DEFAULTDBGEXECDALPHA = 0.4
DEFAULTTTVISSECS = 3.0
DEFAULTTTDBGVISSECS = 10.0
DEFAULTNUMSTEPS = 20.0
DEFAULTDECORATIONSCALE = 0.25
DEFAULTPLACERSPACE = 4.0
DEFAULTPLACERHEIGHT = 5
DEFAULTPLACERWIDTH = 5
DEFAULTSPACES = ["athena", "enrique", "iteru", "jabir", "kamal", "pasion", "shoshoni", "sushrut", "xuyue"]
DEFAULTSPACETITLES = {"athena": "UI Nodes",
                      "enrique": "P2P Nodes",
                      "iteru": "Type Conversion Nodes",
                      "jabir": "Permission & Security Nodes",
                      "kamal": "Comparison Nodes",
                      "pasion": "Economics Menu",
                      "shoshoni": "Python Nodes",
                      "sushrut": "Typed Data Nodes",
                      "wrigan": "Run / Debug Menu",
                      "fregata": "Local File Browser",
                      "xuyue": "Variable Operations"
                      }
