"""
Copyright 2019 NoRD Software Foundation

This file is part of NoRD.

NoRD is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

NoRD is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with NoRD.  If not, see <https://www.gnu.org/licenses/>.

--
The source end of a connection.
"""


from nord.sigurd.utils.verboser import funlog
from nord.sigurd.shell.connend import ConnEnd


class ConnSrc(ConnEnd):
    """Simple naming inheritance of the conn end."""

    @funlog
    def __init__(self, uid, model, app, parent, connection, space="nord"):
        """Call the parent constructor passing the clickable tag on."""
        super().__init__(uid, model, app, 'clickable', parent, connection, space=space)
        pass
